import { AspectDefinition } from '@teambit/aspect-loader';
import { ComponentServer, ComponentDir } from '@teambit/bundler';
import { Component } from '@teambit/component';
import { ProxyConfigArrayItem } from 'webpack-dev-server';
export interface UIRoot extends ComponentDir {
    name: string;
    path: string;
    configFile: string;
    devServers: Promise<ComponentServer[]>;
    resolveAspects(runtimeName: string): Promise<AspectDefinition[]>;
    resolvePattern(pattern: string): Promise<Component[]>;
    postStart?(options: PostStartOptions): Promise<void>;
    priority?: boolean;
    getProxy?: () => Promise<ProxyEntry[]>;
}
export declare type ProxyEntry = ProxyConfigArrayItem & {
    context: string[];
};
export declare type PostStartOptions = {
    pattern?: string;
};
